package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;

/**
 * 药品召回信息数据子集(DrugRecallApplyInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-11 17:43:40
 */
@SuppressWarnings("serial")
@Data
@Builder
@TableName("drug_recall_apply_info")
public class DrugRecallApplyInfo {
    //主键ID
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //事件流水号
    @Column(name = "event_id")
    private String eventId;
    //事件响应时间
    @Column(name = "rec_time")
    private Date recTime;
    //药品追溯码
    @Column(name = "ypzsm")
    private String ypzsm;
    //上一级包装药品追溯码
    @Column(name = "bzcj")
    private String bzcj;
    //包装层级
    @Column(name = "syjbzypzsm")
    private String syjbzypzsm;
    //暂无
    @Column(name = "ymzt")
    private String ymzt;
    //统一社会信用代码（生产企业）
    @Column(name = "tyshxydmscqy")
    private String tyshxydmscqy;
    //生产企业名称
    @Column(name = "scqymc")
    private String scqymc;
    //药品通用名称
    @Column(name = "yptymc")
    private String yptymc;
    //国家基本药物标识
    @Column(name = "gjypbsm")
    private String gjypbsm;
    //疫苗生产批号
    @Column(name = "ymscph")
    private String ymscph;
    //统一社会信用代码（进口疫苗代理企业）
    @Column(name = "tyshxydmjkymdlqy")
    private String tyshxydmjkymdlqy;
    //进口疫苗代理企业名称
    @Column(name = "jkymdlqymc")
    private String jkymdlqymc;
    //生产日期
    @Column(name = "scrq")
    private Date scrq;
    //疫苗有效期截止日期
    @Column(name = "ymyxqjzrq")
    private Date ymyxqjzrq;
    //召回数量
    @Column(name = "zhsl")
    private Integer zhsl;
    //计划召回数量
    @Column(name = "jhzhsl")
    private Integer jhzhsl;
    //到期实际召回数量
    @Column(name = "dqsjzhsl")
    private Integer dqsjzhsl;
    //统一社会信用代码（召回机构）
    @Column(name = "tyshxydmzhjg")
    private String tyshxydmzhjg;
    //召回机构名称
    @Column(name = "zhjgmc")
    private String zhjgmc;
    //开始统计时间
    @Column(name = "kstjsj")
    private Date kstjsj;
    //结束统计时间
    @Column(name = "jstjsj")
    private Date jstjsj;
    //创建时间
    @Column(name = "create_time")
    private Date createTime;
    //更新时间
    @Column(name = "update_time")
    private Date updateTime;
    //是否删除(0-否 1-是)
    @Column(name = "is_deleted")
    private Integer isDeleted;

}

