package com.alihealth.d2d.provtest.entity;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Jason
 * @date 2025年06月03日 16:52:08
 */
@Data
public class ItemDetail extends DynamicFieldsEntity {

    @JacksonXmlElementWrapper(localName = "instanceList")
    @JacksonXmlProperty(localName = "instanceDetail")
    private List<InstanceDetail> instanceList;
}
